Package com.macrofocus.high_d.treemap

# Class HighDTreeMapModel<Color,Font,N extends com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column>

java.lang.Object
com.treemap.AbstractTreeMapModel<N,Row,Column,Color,Font>
com.treemap.DefaultTreeMapModel<N,Row,Column,Color,Font>
com.macrofocus.high_d.treemap.HighDTreeMapModel<Color,Font,N,Row,Column>

All Implemented Interfaces:
  `com.treemap.TreeMapModel<N,Row,Column,Color,Font>`

public class HighDTreeMapModel<Color,Font,N extends com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column> extends com.treemap.DefaultTreeMapModel<N,Row,Column,Color,Font>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.treemap.AbstractTreeMapModel

  `com.treemap.AbstractTreeMapModel.Worker`

- ## Field Summary

  ### Fields inherited from class com.treemap.DefaultTreeMapModel

  `dataFrame`

  ### Fields inherited from class com.treemap.AbstractTreeMapModel

  `_settings, colorFactory, colorMapFactory, cpHelper, fontFactory, formatFactory, imageFactory, rootNodes, rowNode`

  ### Fields inherited from interface com.treemap.TreeMapModel

  `PROPERTY_CURRENT_ROOT, PROPERTY_PROGRESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HighDTreeMapModel(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame, MutableSingleSelection<Row> probing, MutableSelection<Row> selection, MutableFilter<Row> filter, com.macrofocus.colormapping.MutableColorMapping<Color,Row,Column> colorMapping, com.macrofocus.coloring.MutableColoring<Color,Row> coloring, com.macrofocus.crossplatform.CPFactory<?,Font,?,Color> cpFactory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.igraphics.CPImageFactory imageFactory)`
  `HighDTreeMapModel(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame, MutableSingleSelection<Row> probing, MutableSelection<Row> selection, MutableFilter<Row> filter, com.macrofocus.crossplatform.CPFactory<?,Font,?,Color> cpFactory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.igraphics.CPImageFactory imageFactory)`
  `HighDTreeMapModel(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame, com.macrofocus.crossplatform.CPFactory<?,Font,?,Color> cpFactory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.igraphics.CPImageFactory imageFactory)`
  `HighDTreeMapModel(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual, com.macrofocus.crossplatform.CPFactory<?,Font,?,Color> cpFactory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.igraphics.CPImageFactory imageFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected com.macrofocus.colormap.MutableColorMap<Color>`
  `createCategoricalColorMap(com.treemap.TreeMapField<N,Column> field)`
  `com.macrofocus.colormap.MutableColorMap`
  `createDefaultColorMap(com.treemap.TreeMapField<N,Column> field)`
  `protected com.treemap.TreeMapField`
  `createTreeMapField(Column columnIndex)`
  `protected com.macrofocus.colormap.MutableColorMap`
  `getColorMap()`

  ### Methods inherited from class com.treemap.DefaultTreeMapModel

  `addChild, addChild, columns, createLeafNode, createParentNode, createRootNode, doGroupBy, findChild, getChildCount, getChildren, getChildrenOfTypeParent, getColumnClass, getColumnCount, getColumnName, getCushionColor, getCushionImage, getDataFrame, getLabelName, getNode, getNumericMax, getNumericMin, getParent, getRowCount, getTreeMapField, getTreeMapField, getTreeMapFieldByName, getValueAt, isEveryValueUnique, isRoot, setDataFrame, setNumericMax, setNumericMin`

  ### Methods inherited from class com.treemap.AbstractTreeMapModel

  `addListener, breadthFirstIterator, clearAggregationCache, computeSize, computeSizeLeafs, computeSizeParents, computeSumSize, createSettings, depthFirstIterator, doColors, doLayout, doLayoutChildren, fireTableModelChanged, getAggregateValue, getBounds, getCategoricalColorMap, getChildrenGroupByField, getColor, getColorFactory, getColorMap, getColorProvider, getColorTreeMapFields, getCurrentRoot, getCustomColorMap, getFilter, getFormatPattern, getGroupByField, getGroupByTreeMapFields, getHeightTreeMapFields, getHighlighting, getImageFactory, getLabelsTreeMapFields, getLevel, getMaximumSize, getNestedShape, getNode, getNormalizedLightSourceX, getNormalizedLightSourceY, getNormalizedLightSourceZ, getPredefinedColorMap, getProbing, getProperties, getRoot, getSearch, getSelection, getSettings, getShape, getSize, getSizeTreeMapFields, getStringValue, getSumSize, getTooltipTreeMapFields, getTreeMapFields, getTreeMapFields, getTreeMapFields, getTreeMapFields, getViewport, getWorker, getWorkerFuture, hasNoChildren, initDefaults, isDirty, isLeaf, isNumericType, isTemporalType, isVisualType, parentPreorderEnumeration, preorderEnumeration, progressProperty, removeListener, scheduleUpdateColors, scheduleUpdateGroupBy, scheduleUpdateLayout, setColor, setColorProvider, setCurrentRoot, setFormatPattern, setNestedShape, setProgress, setShape, waitUntilReady`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HighDTreeMapModel

    public HighDTreeMapModel(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame, com.macrofocus.crossplatform.CPFactory<?,Font,?,Color> cpFactory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.igraphics.CPImageFactory imageFactory)

  - ### HighDTreeMapModel

    public HighDTreeMapModel(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual, com.macrofocus.crossplatform.CPFactory<?,Font,?,Color> cpFactory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.igraphics.CPImageFactory imageFactory)

  - ### HighDTreeMapModel

    public HighDTreeMapModel(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame, MutableSingleSelection<Row> probing, MutableSelection<Row> selection, MutableFilter<Row> filter, com.macrofocus.crossplatform.CPFactory<?,Font,?,Color> cpFactory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.igraphics.CPImageFactory imageFactory)

  - ### HighDTreeMapModel

    public HighDTreeMapModel(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame, MutableSingleSelection<Row> probing, MutableSelection<Row> selection, MutableFilter<Row> filter, com.macrofocus.colormapping.MutableColorMapping<Color,Row,Column> colorMapping, com.macrofocus.coloring.MutableColoring<Color,Row> coloring, com.macrofocus.crossplatform.CPFactory<?,Font,?,Color> cpFactory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.igraphics.CPImageFactory imageFactory)

- ## Method Details

  - ### createTreeMapField

    protected com.treemap.TreeMapField createTreeMapField(Column columnIndex)
    Overrides:
      `createTreeMapField` in class `com.treemap.DefaultTreeMapModel<N extends com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font>`

  - ### getColorMap

    protected com.macrofocus.colormap.MutableColorMap getColorMap()
    Overrides:
      `getColorMap` in class `com.treemap.AbstractTreeMapModel<N extends com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font>`

  - ### createDefaultColorMap

    public com.macrofocus.colormap.MutableColorMap createDefaultColorMap(com.treemap.TreeMapField<N,Column> field)
    Specified by:
      `createDefaultColorMap` in interface `com.treemap.TreeMapModel<Color,Font,N extends com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column>`
    Overrides:
      `createDefaultColorMap` in class `com.treemap.DefaultTreeMapModel<N extends com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font>`

  - ### createCategoricalColorMap

    protected com.macrofocus.colormap.MutableColorMap<Color> createCategoricalColorMap(com.treemap.TreeMapField<N,Column> field)
    Overrides:
      `createCategoricalColorMap` in class `com.treemap.DefaultTreeMapModel<N extends com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font>`